///home/berryj/link/bin/genMethods "-g" "-t" "int" "-h" "Sequence" "-r" "Collection<int>" "-I" "LINK/basic/Sequence.h" "-d" "basic" 
#include <stk.h>
#include <LINK/stkWrapper/LINK_STk.h>

#include <LINK/basic/Sequence.h>

#include <LINK/stkWrapper/Wrapper.h>
#include <LINK/stkWrapper/Register.h>
#include <LINK/stkWrapper/CollectionWrapper.h>


typedef int _int;
typedef Sequence<int > _Sequence_int_;
static Sequence<int > s__Sequence_int_;

#define _Sequence_int_DATA(x) ((Sequence<int >*) (EXTDATA(x)))
#define _Sequence_int_IS_DATA(x) (TYPEP(x, tc_CXXwrapper) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Sequence<int > >::type))
#define _Sequence_int_ISNT_DATA(x) (!_Sequence_int_IS_DATA(x))

#define _Sequence_int_CXX_DATA(x) (*(Sequence<int >*) (EXTDATA(VAL(x))))
#define _Sequence_int_CXX_IS_DATA(x) (INSTANCEP(x) && \
		TYPEP(STk_slot_ref(x,val_scm), tc_CXXwrapper) && \
		(EXTID(STk_slot_ref(x,val_scm)) == Wrapper<Sequence<int > >::type))
#define _Sequence_int_CXX_ISNT_DATA(x) (!_Sequence_int_CXX_IS_DATA(x))


PRIMITIVE STk_init__Sequence_int_()
{
	Wrapper<_Sequence_int_>::type = STk_new_CXXwrapper_id(
			Wrapper<_Sequence_int_>::name, 
			Wrapper<Collection<int> >::name,
			(void (*)(SCM x, SCM port, int mode))
			CollectionWrapper<_int>::displayTypedCollection,
			(void (*)(SCM x))CollectionWrapper<_int>::markTypedCollection,
			(void (*)(SCM x))CollectionWrapper<_int>::freeTypedCollection);
	Tcl_InitHashTable(&Register<_Sequence_int_>::objTable, TCL_ONE_WORD_KEYS);
	return UNDEFINED;
}

void genExtra_Sequence_int_Methods(void);

PRIMITIVE STk_init_methods__Sequence_int_()
{
	genExtra_Sequence_int_Methods();
	return UNDEFINED;
}
